## galago-daemon 0.5.0-0osso3

=== debian/changelog ===
galago-daemon (0.5.0-0osso3) unstable; urgency=low

  * New release
  - Plug memory leaks
  
 -- Jorn Baayen <jorn@openedhand.com>  Fri, 26 May 2006 15:59:51 +0300

galago-daemon (0.5.0-0osso2) unstable; urgency=low

  * Allow thumb builds

 -- Ross Burton <ross@openedhand.com>  Tue, 11 Apr 2006 14:53:34 +0100

galago-daemon (0.5.0-0osso1) unstable; urgency=low

  * New upstream release
  - Depend on libgalago 0.5.0
  - Fix presence notification

 -- Ross Burton <ross@openedhand.com>  Tue, 11 Apr 2006 14:53:34 +0100

galago-daemon (0.3.4.90-1osso1) unstable; urgency=low

  * New release
  * Install galago-daemon into /usr/libexec. 

 -- Jorn Baayen <jorn@openedhand.com>  Mon, 10 Apr 2006 16:00:14 +0300

galago-daemon (0.3.4.90-1osso0) hoary; urgency=low
 	
  * New release
 	
 --  Jorn Baayen <jorn@openedhand.com>  Tue, 4 Apr 2006 15:23:12 +0300

galago-daemon (0.3.4.90-0osso0) hoary; urgency=low
 	
  * version update
 	
 --  Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Wed, 29 Mar 2006 12:21:54 +0300

galago-daemon (0.3.4-3) hoary; urgency=low

  * Merge from CodeCamp

 -- Dmitry Rojkov <rojkov@debian>  Tue, 21 Feb 2006 14:05:01 +0200

galago-daemon (0.3.4-2) hoary; urgency=low

  * Removed dependency on devscripts as BIFH's repository doesn't
    contain it

 -- Christian Hammond <chipx86@chipx86.com>  Thu,  9 Feb 2006 20:57:33 +0200

galago-daemon (0.3.4-1) hoary; urgency=low

  * New upstream release.
  * Fixed a parsing error in Build-Depends.
  * Add autoconf and automake to Build-Depends.
  * Build-depend on libgalago 0.3.3.
  * Bumped up Standards-Version to 3.6.2.
  * Fix the copyright file to pass lintian check.
  * Install galago-daemon into /usr/lib/galago-daemon instead of /usr/libexec.

 -- Christian Hammond <chipx86@chipx86.com>  Sat, 27 Aug 2005 19:33:36 -0700

galago-daemon (0.3.3-1) hoary; urgency=low

  * New upstream release.

 -- Christian Hammond <chipx86@chipx86.com>  Tue,  7 Jun 2005 00:59:20 -0700

galago-daemon (0.3.2-1) hoary; urgency=low

  * New upstream release
  * Require libglib2.0-dev and not libglib2.0-0 to build.

 -- Christian Hammond <chipx86@chipx86.com>  Thu, 26 May 2005 20:04:21 -0700

galago-daemon (0.3.1-1) unstable; urgency=low

  * New upstream release. Fixes building against libgalago 0.3.1.
  * Require the check package for building.
  * Require libgalago-dev >= 0.3.1 for building.

 -- Christian Hammond <chipx86@chipx86.com>  Fri,  1 Apr 2005 20:39:19 -0800

galago-daemon (0.3.0-1) unstable; urgency=low

  * Initial Release.

 -- Christian Hammond <chipx86@chipx86.com>  Sat, 19 Mar 2005 02:38:08 -0800
