=== debian/control ===
Source: galago-daemon
Section: misc
Priority: optional
Maintainer: Christian Hammond <chipx86@chipx86.com>
Build-Depends: autotools-dev, debhelper (>= 4.0.0), autoconf (>= 2.53), libgalago-dev (>= 0.5.0), libglib2.0-dev (>= 2.2.0), libdbus-glib-1-dev (>= 0.60)
Standards-Version: 3.6.2

Package: galago-daemon
Architecture: any
Depends: ${shlibs:Depends}
Description: Galago presence daemon
 The Galago presence daemon, which is the center of all presence transactions
 for Galago. This service is automatically launched by D-BUS when needed.
