## galago-daemon 0.5.0-0osso4

=== debian/changelog ===
galago-daemon (0.5.0-0osso4) unstable; urgency=low

  * Merge with IT2007:
  * Sync with the official galago-daemon 0.5.0 release.

 -- Ross Burton <ross@openedhand.com>  Thu, 10 Aug 2006 09:56:35 +0100
