## galago-daemon 0.5.1-0osso3

=== debian/changelog ===
galago-daemon (0.5.1-0osso3) unstable; urgency=low

  * Fix DBus types used when getting and setting attributes.

 -- Ross Burton <ross@openedhand.com>  Thu, 30 Aug 2007 17:29:57 +0100

galago-daemon (0.5.1-0osso2) unstable; urgency=low

  * Disable binary relocation, which stops it starting two of every feed
    in Scratchbox (Fixes: NB#44650).

 -- Ross Burton <ross@openedhand.com>  Tue, 17 Apr 2007 17:33:30 +0100

galago-daemon (0.5.1-0osso1) unstable; urgency=low

  * New upstream release.

 -- Ross Burton <ross@openedhand.com>  Tue,  5 Dec 2006 15:18:35 +0000
