=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: galago-daemon
 Section: misc
 Priority: optional
-Maintainer: Christian Hammond <chipx86@chipx86.com>
+Maintainer: Onne Gorter <onne.gorter@nokia.com>
 Build-Depends: autotools-dev, debhelper (>= 4.0.0), autoconf (>= 2.53), libgalago-dev (>= 0.5.0), libglib2.0-dev (>= 2.2.0), libdbus-glib-1-dev (>= 0.60)
 Standards-Version: 3.6.2
