=== debian/rules ===
--- 
+++ 
@@ -18,12 +18,25 @@
 	CFLAGS += -mthumb
 endif
 
+ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
+	PARALLEL_JOBS := $(shell echo $(DEB_BUILD_OPTIONS) | \
+		sed -e 's/.*parallel=\([0-9]\+\).*/\1/')
+	ifeq ($(DEB_BUILD_OPTIONS),$(PARALLEL_JOBS))
+		PARALLEL_JOBS := $(shell if [ -f /proc/cpuinfo ]; \
+			then echo `cat /proc/cpuinfo | grep 'processor' | wc -l`; \
+			else echo 1; fi)
+	endif
+	NJOBS := -j$(PARALLEL_JOBS)
+endif
+MAKEFLAGS += $(NJOBS)
+
 CONFIG_PARAMS = \
 	--host=$(DEB_HOST_GNU_TYPE) \
 	--build=$(DEB_BUILD_GNU_TYPE) \
 	--prefix=/usr \
 	--with-dbus-sys=/etc/dbus-1/system.d \
-	--disable-tests
+	--disable-tests \
+	--disable-binreloc
 
 configure: configure-stamp configure.ac
 configure-stamp:
